Executive Summary

Informations
Name MDVSA-2014:219 First vendor Publication 2014-11-21
Vendor Mandriva Last vendor Modification 2014-11-21
Severity (Vendor) N/A Revision N/A

Security-Database Scoring CVSS v3

Cvss vector : N/A
Overall CVSS Score NA
Base Score NA Environmental Score NA
impact SubScore NA Temporal Score NA
Exploitabality Sub Score NA
 
Calculate full CVSS 3.0 Vectors scores

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:H/Au:N/C:N/I:N/A:P)
Cvss Base Score 2.6 Attack Range Network
Cvss Impact Score 2.9 Attack Complexity High
Cvss Expoit Score 4.9 Authentication None Required
Calculate full CVSS 2.0 Vectors scores

Detail

Updated srtp package fixes security vulnerability:

Fernando Russ from Groundworks Technologies reported a buffer overflow flaw in srtp, Cisco's reference implementation of the Secure Real-time Transport Protocol (SRTP), in how the crypto_policy_set_from_profile_for_rtp() function applies cryptographic profiles to an srtp_policy. A remote attacker could exploit this vulnerability to crash an application linked against libsrtp, resulting in a denial of service (CVE-2013-2139).

Original Source

Url : http://www.mandriva.com/security/advisories?name=MDVSA-2014:219

CWE : Common Weakness Enumeration

% Id Name
100 % CWE-119 Failure to Constrain Operations within the Bounds of a Memory Buffer

OVAL Definitions

Definition Id: oval:org.mitre.oval:def:21007
 
Oval ID: oval:org.mitre.oval:def:21007
Title: DSA-2840-1 srtp - buffer overflow
Description: Fernando Russ from Groundworks Technologies reported a buffer overflow flaw in srtp, Cisco's reference implementation of the Secure Real-time Transport Protocol (SRTP), in how the crypto_policy_set_from_profile_for_rtp() function applies cryptographic profiles to an srtp_policy. A remote attacker could exploit this vulnerability to crash an application linked against libsrtp, resulting in a denial of service.
Family: unix Class: patch
Reference(s): DSA-2840-1
CVE-2013-2139
Version: 5
Platform(s): Debian GNU/Linux 6.0
Debian GNU/Linux 7
Debian GNU/kFreeBSD 6.0
Debian GNU/kFreeBSD 7
Product(s): srtp
Definition Synopsis:

CPE : Common Platform Enumeration

TypeDescriptionCount
Application 11
Os 3
Os 2

Nessus® Vulnerability Scanner

Date Description
2014-11-23 Name : The remote Mandriva Linux host is missing a security update.
File : mandriva_MDVSA-2014-219.nasl - Type : ACT_GATHER_INFO
2014-10-02 Name : The remote openSUSE host is missing a security update.
File : openSUSE-2014-565.nasl - Type : ACT_GATHER_INFO
2014-06-13 Name : The remote openSUSE host is missing a security update.
File : openSUSE-2013-608.nasl - Type : ACT_GATHER_INFO
2014-05-05 Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201405-02.nasl - Type : ACT_GATHER_INFO
2014-01-12 Name : The remote Debian host is missing a security-related update.
File : debian_DSA-2840.nasl - Type : ACT_GATHER_INFO
2014-01-09 Name : The remote Fedora host is missing a security update.
File : fedora_2013-24114.nasl - Type : ACT_GATHER_INFO
2014-01-09 Name : The remote Fedora host is missing a security update.
File : fedora_2013-24153.nasl - Type : ACT_GATHER_INFO
2014-01-09 Name : The remote Fedora host is missing a security update.
File : fedora_2013-24155.nasl - Type : ACT_GATHER_INFO

Alert History

If you want to see full details history, please login or register.
0
1
Date Informations
2014-11-26 13:28:29
  • Multiple Updates
2014-11-21 21:21:10
  • First insertion